# Class VcfOutputFormatter

java.lang.Object
org.snpeff.outputFormatter.OutputFormatter
org.snpeff.outputFormatter.VcfOutputFormatter

public class VcfOutputFormatter extends OutputFormatter
Formats output as VCF

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`
`static final String`
`VCF_INFO_OICR_NAME`

## Constructor Summary

Constructors
Constructor
Description
`VcfOutputFormatter()`
`VcfOutputFormatter(List<VcfEntry> vcfEntries)`
Add all vcf entries to a list (used only for debugging and test-cases)

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addHeader()`
Add header
`protected void`
`addInfo(VcfEntry vcfEntry)`
Add effects to INFO field
`OutputFormatter`
`clone()`
`String`
`endSection(Marker marker)`
Finish up section
`List<String>`
`getNewHeaderLines()`
New lines to be added to header
`void`
`setFormatVersion(EffFormatVersion formatVersion)`
`void`
`setGatk(boolean gatk)`
`void`
`setLossOfFunction(boolean lossOfFunction)`
`void`
`setOutOffset(int outOffset)`
`void`
`startSection(Marker marker)`
Starts a new section
`String`
`toString()`
`protected String`
`toStringHeader()`
Show header

### Methods inherited from class OutputFormatter

`add, close, print, printSection, setChrStr, setCommandLineStr, setConfig, setOutputFile, setShowHeader, setSupressOutput, setUseGeneId, setUseHgvs, setUseOicr, setUseSequenceOntology, setVariantEffectResutFilter, setVersion`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### debug

public static boolean debug

### VCF_INFO_OICR_NAME

public static final String VCF_INFO_OICR_NAME

See Also:
  - Constant Field Values

## Constructor Details

### VcfOutputFormatter

public VcfOutputFormatter()

### VcfOutputFormatter

public VcfOutputFormatter(List<VcfEntry> vcfEntries)
Add all vcf entries to a list (used only for debugging and test-cases)

## Method Details

### addHeader

protected void addHeader()
Add header

### addInfo

protected void addInfo(VcfEntry vcfEntry)
Add effects to INFO field

### clone

public OutputFormatter clone()

Overrides:
  `clone` in class `OutputFormatter`

### endSection

public String endSection(Marker marker)
Finish up section

Overrides:
  `endSection` in class `OutputFormatter`

### getNewHeaderLines

public List<String> getNewHeaderLines()
New lines to be added to header

### setFormatVersion

public void setFormatVersion(EffFormatVersion formatVersion)

### setGatk

public void setGatk(boolean gatk)

### setLossOfFunction

public void setLossOfFunction(boolean lossOfFunction)

### setOutOffset

public void setOutOffset(int outOffset)

Overrides:
  `setOutOffset` in class `OutputFormatter`

### startSection

public void startSection(Marker marker)
Description copied from class: `OutputFormatter`
Starts a new section

Overrides:
  `startSection` in class `OutputFormatter`

### toString

public String toString()

Overrides:
  `toString` in class `OutputFormatter`

### toStringHeader

protected String toStringHeader()
Show header

Specified by:
  `toStringHeader` in class `OutputFormatter`